import { PublicKey, TransactionResponse } from "@solana/web3.js";
export declare type TransactionResponseWithSig = Partial<TransactionResponse> & {
    signature: string;
    pending?: boolean;
};
interface ITransactions {
    error: Error | undefined;
    hasMore: boolean;
    loadingInitial: boolean;
    loadingMore: boolean;
    transactions: TransactionResponseWithSig[];
    fetchMore(num: number): void;
    fetchNew(num: number): void;
}
export declare const useTransactions: ({ numTransactions, until, address, subscribe, accelerated, }: {
    numTransactions: number;
    until?: Date | undefined;
    address?: PublicKey | undefined;
    /** Subscribe to new transactions on the address */
    subscribe?: boolean | undefined;
    /** Use the Strata accelerator service to see transacions before they are confirmed (if the user also sends to the accelerator) */
    accelerated?: boolean | undefined;
}) => ITransactions;
export {};
//# sourceMappingURL=useTransactions.d.ts.map